import { RequestHandler } from 'msw';
import { OpenAPIV3, OpenAPIV2 } from 'openapi-types';
/**
 * Generates request handlers from the given OpenAPI V2/V3 document.
 */
export declare function fromOpenApi(document: string | OpenAPIV3.Document | OpenAPIV2.Document): Promise<RequestHandler[]>;
